summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Lionel Young <lionelyoung@gmail.com>2015-03-29 14:29:14 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-29 14:29:14 +0700
commit789875939813686a7dfec058a28a7f538100d012 (patch)
treef2fc2755143b16e099110b5a2ad110308beca8d5
parent943ae3adc9bb545eb142584389ca050be6f9253f (diff)
downloadslackbuilds-789875939.tar.gz
slackbuilds-789875939.tar.xz
network/syncthing: Added (sync files between your own devices).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/syncthing/README9
-rw-r--r--network/syncthing/doinst.sh24
-rw-r--r--network/syncthing/rc.syncthing29
-rw-r--r--network/syncthing/slack-desc19
-rw-r--r--network/syncthing/syncthing.SlackBuild87
-rw-r--r--network/syncthing/syncthing.info10
6 files changed, 178 insertions, 0 deletions
diff --git a/network/syncthing/README b/network/syncthing/README
new file mode 100644
index 0000000000..b5d5498278
--- /dev/null
+++ b/network/syncthing/README
@@ -0,0 +1,9 @@
+Syncthing provides synchronization of a folder between a number of
+collaborating devices.
+
+To start automatic at boot make /etc/rc.d/rc.syncthing executable:
+chmod +x /etc/rc.d/rc.syncthing
+and add it to /etc/rc.d/rc.local
+syncthing will then be started as root
+
+Use your browser to configure syncthing: http://127.0.0.1:8080/
diff --git a/network/syncthing/doinst.sh b/network/syncthing/doinst.sh
new file mode 100644
index 0000000000..f171eaf450
--- /dev/null
+++ b/network/syncthing/doinst.sh
@@ -0,0 +1,24 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.syncthing.new
diff --git a/network/syncthing/rc.syncthing b/network/syncthing/rc.syncthing
new file mode 100644
index 0000000000..9e13fac946
--- /dev/null
+++ b/network/syncthing/rc.syncthing
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# syncthing start script
+
+case "$1" in
+ stop)
+ PID=/var/run/syncthing/syncthing.pid
+ if [ -f $PID ]; then
+ echo "Stop Syncthing..."
+ kill "`cat /var/run/syncthing/syncthing.pid`"
+ else
+ echo "Syncthing is not running..."
+ exit 1
+ fi
+ ;;
+ start)
+ echo "Start Syncthing..."
+ /usr/bin/syncthing
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 { start | stop | restart }" >&2
+ exit 1
+ ;;
+esac
diff --git a/network/syncthing/slack-desc b/network/syncthing/slack-desc
new file mode 100644
index 0000000000..2f647912cf
--- /dev/null
+++ b/network/syncthing/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+syncthing: syncthing (sync files between your own devices)
+syncthing:
+syncthing: Syncthing provides synchronization of a folder between a number of
+syncthing: collaborating devices
+syncthing:
+syncthing:
+syncthing: https://github.com/syncthing/syncthing
+syncthing:
+syncthing:
+syncthing:
+syncthing:
diff --git a/network/syncthing/syncthing.SlackBuild b/network/syncthing/syncthing.SlackBuild
new file mode 100644
index 0000000000..abe4193fff
--- /dev/null
+++ b/network/syncthing/syncthing.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+# Slackware build script for syncthing
+# Copyright 2015 Lionel Young, United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=syncthing
+VERSION=${VERSION:-0.10.29}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ FARCH=386
+elif [ "$ARCH" = "x86_64" ]; then
+ FARCH=amd64
+else
+ echo "Only i386 and x86_64 architectures are supported..."
+ exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-linux-$FARCH-v${VERSION}.tar.gz
+cd ${PRGNAM}-linux-$FARCH-v${VERSION}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install syncthing
+mkdir -p $PKG/usr/bin
+install -Dm755 syncthing $PKG/usr/bin/syncthing
+
+# Install rc script
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.syncthing > $PKG/etc/rc.d/rc.syncthing.new
+
+mkdir -p $PKG/var/lib/syncthing
+mkdir -p $PKG/var/run/syncthing
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt *.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/syncthing/syncthing.info b/network/syncthing/syncthing.info
new file mode 100644
index 0000000000..8b8f9d19eb
--- /dev/null
+++ b/network/syncthing/syncthing.info
@@ -0,0 +1,10 @@
+PRGNAM="syncthing"
+VERSION="0.10.29"
+HOMEPAGE="https://github.com/syncthing/syncthing"
+DOWNLOAD="https://github.com/syncthing/syncthing/releases/download/v0.10.29/syncthing-linux-386-v0.10.29.tar.gz"
+MD5SUM="b313a5755b763053e4f108dd02b3ccc2"
+DOWNLOAD_x86_64="https://github.com/syncthing/syncthing/releases/download/v0.10.29/syncthing-linux-amd64-v0.10.29.tar.gz"
+MD5SUM_x86_64="531ac44ecfd2ad7d191b12e2f42948ea"
+REQUIRES=""
+MAINTAINER="Lionel Young"
+EMAIL="lionelyoung@gmail.com"